### Method

# Hinawa CycleTime get_fields

since: 2.6

#### Declaration [src]

    void
    hinawa_cycle_time_get_fields (
      const HinawaCycleTime* self,
      guint16* fields
    )

#### Description [src]

Get the value of cycle time in 1394 OHCI hardware. The first element of array expresses the value of sec field, up to 127. The second element of array expresses the value of cycle field, up to 7999. The third element of array expresses the value of offset field, up to 3071.

Available since: 2.6

#### Parameters

`fields`

  Type: An array of `guint16`

  The value of cycle time register of 1394 OHCI hardware, including three elements; second, cycle, and offset in its order.

  The argument will be set by the function.
  The array must have 3 elements.
  The returned data is owned by the instance.